[med-svn] [Git][med-team/nipype][master] 2 commits: Exclude single test on s390x

Andreas Tille (@tille) gitlab at salsa.debian.org
Thu Jan 26 19:29:15 GMT 2023



Andreas Tille pushed to branch master at Debian Med / nipype


Commits:
33a34c23 by Andreas Tille at 2023-01-26T20:15:19+01:00
Exclude single test on s390x

- - - - -
a7bf424d by Andreas Tille at 2023-01-26T20:25:07+01:00
Upload to unstable

- - - - -


2 changed files:

- debian/changelog
- debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,12 @@
+nipype (1.8.5-2) unstable; urgency=medium
+
+  * Team upload.
+  * Exclude single test on s390x
+  * New version builds with latest nibabel
+    Closes: #1029660
+
+ -- Andreas Tille <tille at debian.org>  Thu, 26 Jan 2023 20:15:29 +0100
+
 nipype (1.8.5-1) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -e
+set -efu
 
 pkg='nipype'
 CUR_DIR=`pwd`
@@ -16,6 +16,27 @@ cp -a ${CUR_DIR}/nipype "${AUTOPKGTEST_TMP}"
 cp -a ${CUR_DIR}/debian/tests/test_sample.py "${AUTOPKGTEST_TMP}/nipype/tests"
 cd "${AUTOPKGTEST_TMP}"
 
+arch=$(dpkg-architecture -qDEB_HOST_ARCH)
+# skip tests
+if [ "$arch" = "s390x" ]; then
+    SKIP_TEST_LIST=(${SKIP_TEST_LIST[@]} nipype.interfaces.mixins.fixheader.CopyHeaderInterface)
+fi
+
+SKIP_TESTS=""
+list_initialised=0
+for t in ${SKIP_TEST_LIST[@]}; do
+    if [ ${list_initialised} = 0 ]; then
+        SKIP_TESTS=$t
+        list_initialised=1
+    else
+        SKIP_TESTS="${SKIP_TESTS} or $t"
+    fi
+done
+if [ "x${SKIP_TESTS}" != "x" ]; then
+    SKIP_TESTS="not ( ${SKIP_TESTS} )"
+fi
+echo "skipping tests with SKIP_TEST_LIST=${SKIP_TEST_LIST[@]}"
+
 echo "Running Tests"
 
 for py in $(py3versions -s 2> /dev/null)



View it on GitLab: https://salsa.debian.org/med-team/nipype/-/compare/7116ea14e2898d94924bbb0f89bf398e0074b5b2...a7bf424dcd6fb53cdbadb7ce67d25c1ac299f70d

-- 
View it on GitLab: https://salsa.debian.org/med-team/nipype/-/compare/7116ea14e2898d94924bbb0f89bf398e0074b5b2...a7bf424dcd6fb53cdbadb7ce67d25c1ac299f70d
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20230126/a635fafd/attachment-0001.htm>


More information about the debian-med-commit mailing list